Issue 97025 - smoketestoo_native: Paste Object -> error
Summary: smoketestoo_native: Paste Object -> error
Status: CLOSED FIXED
Alias: None
Product: Installation
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 3.4.1
Assignee: Stephan Bergmann
QA Contact: issues@installation
URL:
Keywords:
Depends on: 112616
Blocks:
  Show dependency tree
 
Reported: 2008-12-08 15:29 UTC by Stephan Bergmann
Modified: 2010-11-23 08:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2008-12-08 15:29:35 UTC
It quite often happens to me that building smoketestoo_native fails with error
messages like

error: writer: swriter Paste Object -> error
error: impress: simpress Paste Object -> error
error: draw: sdraw Paste Object -> error

I assume that the smoketest does a copy to and then paste from the (system wide)
clipboard, while the clipboard contents can be altered in the meantime by an
unrelated process.  (For Linux and Solaris, I use a virtual X server to avoid
interactions between building smoketestoo_native and simultaneously using the
system for something else.  The problem hits me when I build smoketestoo_native
on Windows via an rdesktop application from Unix, where the rdesktop application
apparently synchronizes the Windows clipboard with the Unix one.)  It would be
nice if building smoketestoo_native would depend as little as possible on the
execution environment (i.e., if clipboard testing was taken out).
Comment 1 kurt.zenker 2009-02-19 18:05:39 UTC
The clipboardtest is an essential test of the smoketest. The smoketest does a
copy to and then paste from the system wide clipboard during the test. This test
should not be disabled. But maybe it is an option for you to disable the
clipboard sharing on your rdesktop (-r clipboard:no).
Comment 2 kurt.zenker 2009-02-19 18:07:10 UTC
.
Comment 3 Mechtilde 2009-07-12 19:11:06 UTC
wontfix -> closed
Comment 4 Stephan Bergmann 2010-06-21 14:26:56 UTC
finally fix this after all, see
<http://www.openoffice.org/servlets/ReadMsg?list=dev&msgNo=27358>
Comment 5 Stephan Bergmann 2010-06-21 14:27:27 UTC
.
Comment 6 Stephan Bergmann 2010-09-24 08:07:32 UTC
fixed as <http://hg.services.openoffice.org/cws/sb132/rev/5ee180b2c76a>
Comment 7 Stephan Bergmann 2010-11-02 10:20:20 UTC
.
Comment 8 Stephan Bergmann 2010-11-23 08:31:13 UTC
.